<?php

namespace Teknisa\DF\Factories;
use Doctrine\ORM\EntityManager;

class Ger06600TipoDeOperacaoFactory {
    protected $entityManager;
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection    = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }
    
    public function insereTipoCusto() {
        $querys = "
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '01', 'Custo Médio Líquido Atual', 'N', NULL, 'Costo Promedio Neto Actual',	'Actual Net Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '01'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '02', 'Custo Médio Bruto Atual', 'N', NULL, 'Costo Promedio Bruto Actual', 'Actual Raw Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '02'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '03', 'Custo Médio Líquido da Época', 'N', NULL, 'Costo Promedio Neto de la Época',	'Actual Net Average Cost of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '03'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '04', 'Custo Médio Bruto da Época', 'N', NULL, 'Costo Promedio Bruto de la Época',	'Actual Raw Average Cost of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '04'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '06', 'Custo de Cotação (Lista de Preços)', 'N', NULL, 'Costo de Cotización (Lista de Precios)',	'Cost of Quotation (Price List)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '06'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '07', 'Custo da Última compra(AF)', 'N', NULL, 'Costo de la Última Compra (AS)', 'Cost of the Last Purchase (Supply Authorization)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '07'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '08', 'Custo de Compra Liquido da Época', 'N', NULL, 'Costo de Compra Neto de la Época', 'Net Cost of Purchase of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '08'))
            /
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '09', 'Custo de Compra Bruto da Época', 'N', NULL, 'Costo de Compra Bruto de la Época', 'Raw Cost of Purchase of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '09'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '10', 'Custo de Cotação - Lista de Preços com Imposto', 'N', NULL, 'Costo de Cotización-Lista de Precios con Impuesto', 'Cost of Quotation - Price List with Impost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '10'))
            /
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '20', 'Custo Médio Líquido Atual', 'N', 1, 'Costo Promedio Neto Actual',	'Actual Net Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '20'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '21', 'Custo Médio Líquido Atual', 'N', 2, 'Costo Promedio Neto Actual',	'Actual Net Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '21'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '22', 'Custo Médio Bruto Atual', 'N', 1, 'Costo Promedio Bruto Actual', 'Actual Raw Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '22'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '23', 'Custo Médio Bruto Atual', 'N', 2, 'Costo Promedio Bruto Actual', 'Actual Raw Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '23'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '24', 'Custo Médio Líquido da Época', 'N', 1, 'Costo Promedio Neto de la Época', 'Actual Net Average Cost of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '24'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '25', 'Custo Médio Líquido da Época', 'N', 2, 'Costo Promedio Neto de la Época', 'Actual Net Average Cost of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '25'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '26', 'Custo Médio Bruto da Época', 'N', 1, 'Costo Promedio Bruto de la Época', 'Actual Raw Average Cost of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '26'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '27', 'Custo Médio Bruto da Época', 'N', 2, 'Costo Promedio Bruto de la Época',	'Actual Raw Average Cost of the Period'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '27'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '28', 'Custo da Última Compra (NF)', 'N', 1, 'Costo de la Última Compra (F)',	'Cost of the Last Purchase (Formal Bills of Sale)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '28'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '29', 'Custo da Última Compra (NF)', 'N', 2, 'Costo de la Última Compra (F)',	'Cost of the Last Purchase (Formal Bills of Sale)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '29'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '30', 'Custo de Cotação (Lista de Preços)', 'N', 1, 'Costo de Cotización (Lista de Precios)',	'Cost of Quotation (Price List)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '30'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '31', 'Custo de Cotação (Lista de Preços)', 'N', 2, 'Costo de Cotización (Lista de Precios)',	'Cost of Quotation (Price List)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '31'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '32', 'Custo da Última Compra(AF)', 'N', 1, 'Costo de la Última Compra (AS)', 'Cost of the Last Purchase (Supply Authorization)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '32'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '33', 'Custo da Última Compra(AF)', 'N', 2, 'Costo de la Última Compra (AS)', 'Cost of the Last Purchase (Supply Authorization)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '33'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '34', 'Custo Médio Atualizado', 'N', 1, 'Costo Promedio Actualizado', 'Updated Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '34'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '35', 'Custo Médio Atualizado', 'N', 2, 'Costo Promedio Actualizado', 'Updated Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '35'))
            
             /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '40', 'Custo Médio Líquido Atual(Logística)', 'N', NULL, 'Costo Promedio Neto Actual(Logistica)',	'Actual Net Average Cost(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '40'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '41', 'Custo Médio Bruto Atual(Logística)', 'N', NULL, 'Costo Promedio Bruto Actual(Logistica)', 'Actual Raw Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '41'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '42', 'Custo Médio Líquido da Época(Logística)', 'N', NULL, 'Costo Promedio Neto de la Época(Logistica)',	'Actual Net Average Cost of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '42'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '43', 'Custo Médio Bruto da Época(Logística)', 'N', NULL, 'Costo Promedio Bruto de la Época(Logistica)',	'Actual Raw Average Cost of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '43'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '44', 'Custo de Cotação (Lista de Preços - Logística)', 'N', NULL, 'Costo de Cotización(Lista de Precios - Logistica)',	'Cost of Quotation (Price List - Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '44'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '45', 'Custo da Última compra(AF-Logística)', 'N', NULL, 'Costo de la Última Compra (AS - Logistica)', 'Cost of the Last Purchase(SA-Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '45'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '46', 'Custo de Compra Liquido da Época(Logística)', 'N', NULL, 'Costo de Compra Neto de la Época(Logistica)', 'Net Cost of Purchase of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '46'))
            /
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '47', 'Custo de Compra Bruto da Época(Logística)', 'N', NULL, 'Costo de Compra Bruto de la Época(Logistica)', 'Raw Cost of Purchase of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '47'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '48', 'Custo de Cotação-Lista de Preço Imposto', 'N', NULL, 'Costo de Cotización-Lista de Precio Impuesto', 'Cost of Quotation - Price List with Impost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '48'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '49', 'Custo Médio Líquido Atual(Logístca)', 'N', 1, 'Costo Promedio Neto Actual(Logistica)',	'Actual Net Average Cost(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '49'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '50', 'Custo Médio Líquido Atual(Logística)', 'N', 2, 'Costo Promedio Neto Actual',	'Actual Net Average Cost'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '50'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '51', 'Custo Médio Bruto Atual(Logística)', 'N', 1, 'Costo Promedio Bruto Actual(Logistica)', 'Actual Raw Average Cost(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '51'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '52', 'Custo Médio Bruto Atual(Logística)', 'N', 2, 'Costo Promedio Bruto Actual(Logistica)', 'Actual Raw Average Cost(Logistics))'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '52'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '53', 'Custo Médio Líquido da Época(Logística)', 'N', 1, 'Costo Promedio Neto de la Época(Logistica)', 'Actual Net Average Cost of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '53'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '54', 'Custo Médio Líquido da Época(Logística)', 'N', 2, 'Costo Promedio Neto de la Época(Logistica)', 'Actual Net Average Cost of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '54'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '55', 'Custo Médio Bruto da Época(Logística)', 'N', 1, 'Costo Promedio Bruto de la Época(Logistica)', 'Actual Raw Average Cost of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '55'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '56', 'Custo Médio Bruto da Época(Logística)', 'N', 2, 'Costo Promedio Bruto de la Época(Logistica)',	'Actual Raw Average Cost of the Period(Logistics)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '27'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '57', 'Custo da Última Compra (NF - Logística)', 'N', 1, 'Costo de la Última Compra (F - Logistica)',	'Cost of the Last Purchase(Formal Bills of Sale)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '57'))
            /
            
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '58', 'Custo da Última Compra (NF - Logística)', 'N', 2, 'Costo de la Última Compra (F - Logistica)',	'Cost of the Last Purchase(Formal Bills of Sale)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '58'))
            /
            
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '59', 'Custo da Última Compra(AF - Logística)', 'N', 1, 'Costo de la Última Compra (AS - Logistica)', 'Cost of the Last Purchase (Supply Authorization)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '59'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '60', 'Custo da Última Compra(AF - Logística)', 'N', 2, 'Costo de la Última Compra (AS - Logistica)', 'Cost of the Last Purchase (Supply Authorization)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '60'))
            /
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '61', 'Custo de Cotação (Lista de Preços-Logística)', 'N', 1, 'Costo de Cotización (Lista de Precios-Logistica)',	'Cost of Quotation (Price List)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '61'))
            /
            
            INSERT INTO TIPOCUSTO
            (CDTIPOCUSTO, NMTIPOCUSTO, IDUTTPCUSTO, IDMOEDCUSTO, NMTIPOCUSESP, NMTIPOCUSING)
            (SELECT '62', 'Custo de Cotação (Lista de Preços-Logística)', 'N', 2, 'Costo de Cotización (Lista de Precios-Logistica)',	'Cost of Quotation (Price List)'
             FROM DUAL
             WHERE NOT EXISTS (SELECT * FROM TIPOCUSTO WHERE CDTIPOCUSTO = '62'))
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Neto Actual',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Net Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '01'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Bruto Actual',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Raw Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '02'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Neto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Net Average Cost of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '03'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Bruto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Raw Average Cost of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '04'
            /
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de Cotización (Lista de Precios)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of Quotation (Price List)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '06'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de la Última Compra (AS)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of the Last Purchase (Supply Authorization)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '07'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de Compra Neto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Net Cost of Purchase of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '08'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de Compra Bruto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Raw Cost of Purchase of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '09'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de Cotización-Lista de Precios con Impuesto',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of Quotation - Price List with Impost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '10'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Neto Actual',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Net Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '20'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Neto Actual',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Net Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '21'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Bruto Actual',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Raw Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '22'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Bruto Actual',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Raw Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '23'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Neto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Net Average Cost of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '24'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Neto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Net Average Cost of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '25'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Bruto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Raw Average Cost of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '26'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Bruto de la Época',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Actual Raw Average Cost of the Period',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '27'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de la Última Compra (F)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of the Last Purchase (Formal Bills of Sale)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '28'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de la Última Compra (F)',	
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of the Last Purchase (Formal Bills of Sale)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '29'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de Cotización (Lista de Precios)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of Quotation (Price List)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '30'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de Cotización (Lista de Precios)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of Quotation (Price List)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '31'
            /
            
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de la Última Compra (AS)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of the Last Purchase (Supply Authorization)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '32'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo de la Última Compra (AS)',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Cost of the Last Purchase (Supply Authorization)',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '33'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Actualizado',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Updated Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '34'
            /
            
            UPDATE TIPOCUSTO
            SET NMTIPOCUSESP = DECODE(NMTIPOCUSESP,
                                     NULL, 'Costo Promedio Actualizado',
                                     NMTIPOCUSESP),
                NMTIPOCUSING = DECODE(NMTIPOCUSING,
                                     NULL, 'Updated Average Cost',
                                     NMTIPOCUSING)
            WHERE CDTIPOCUSTO = '35'
            /
            
            UPDATE TIPOOPERAC 
            SET CDTIPOCUSTO = '08'
            WHERE CDTIPOCUSTO = '05'
            
            /
            
            
            UPDATE PARFILIALVMN
            SET CDTIPOCUSTO = '08'
            WHERE CDTIPOCUSTO = '05'
            
            /
            
            UPDATE PARAMAN
            SET NRTPCUSTOOP = '08'
            WHERE NRTPCUSTOOP = '05'
            
            /
            
            UPDATE PARAMFILIAL
            SET CDTIPCUSTEST = '08'
            WHERE CDTIPCUSTEST = '05'
            
            /
            UPDATE PARAMPLANEJA
            SET CDTPCUSTCMP = '08'
            WHERE CDTPCUSTCMP = '05'
            
            /
            UPDATE PAREXPEDICAO
            SET IDCUSEXP = '08'
            WHERE IDCUSEXP = '05'
            
            /
            
            DELETE FROM TIPOCUSTO
            WHERE CDTIPOCUSTO = '05'
        ";
        $query = explode("/", $querys);
        foreach($query as $sql){
            $std = $this->connection->prepare($sql);
            $std->execute();
        }
    }
}